<?php $unique_id    = uniqid( 'search-form-' ); ?>

<form role="search" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="GET" class="main-search-form">				
    <div class="input-group">
        <input type="search" name="s" class="form-control search-content" id="<?php echo esc_attr( $unique_id ); ?>" value="<?php the_search_query(); ?>" placeholder="<?php esc_attr_e( 'Search&hellip;', 'frannamag' ); ?>" aria-label="<?php esc_attr__( 'Search box', 'frannamag' ); ?>" aria-describedby="<?php esc_attr__( 'button-addon2', 'frannamag' ); ?>">
        <div class="input-group-append">
            <button class="btn search-btn" type="submit" id="button-addon2"><i class="bi bi-search search-icon"></i></button>
        </div>
    </div>
</form>