<?php 

function frannamag_top_menu_display_options( $wp_customize ) {

    $wp_customize->add_section( 'frannamag_top_menu_display_section', array(
        'title'                 =>  esc_html__( 'Top Menu display', 'frannamag' ),
        'priority'              =>  10,
        'panel'                 =>  'frannamag_theme_options_panel'
    ) );

    //Main Menu social_icons
    $wp_customize->add_setting( 'frannamag_top_menu_display_setting', array(
        'default'               =>  true,
        'sanitize_callback'     =>  'frannamag_sanitize_checkbox'
    ) );

    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'frannamag_top_menu_display_control',
        array(
            'label'             =>  esc_html__( 'Display / Hide Top Menu', 'frannamag' ),
            'section'           =>  'frannamag_top_menu_display_section',
            'settings'          =>  'frannamag_top_menu_display_setting',
            'type'              =>  'checkbox'
        )
    ) );

}